VideoLAN HOWTO
Prev | Chapter 3. Receive and save a stream | Next

# 3.2. Save a stream with VLC

VLC can save the stream to the disk. In order to do this, use the Stream Output of VLC : you can do it via the graphical interface, or you can add to the command line the following argument :

    --sout file/muxer:stream.xyz

where :

- muxer is one of the formats supported by VLC's stream output, i.e. :

  - avi for AVI format ,

  - ogg for OGG format ,

  - ps for MPEG2-PS format ,

  - ts or ts_dvbpsi for MPEG2-PS format (the latter uses libdvbpsi for the task) .

- and `stream.xyz` is the name of the file you want to save the stream to, with the right extension .

Prev | Home | Next
Receive a stream with VLC | Up | Receive a stream with a set-top-box